{
  "schema_version": "1.4.0",
  "id": "GHSA-v5mm-56c6-4662",
  "modified": "2022-05-13T01:12:15Z",
  "published": "2022-05-13T01:12:15Z",
  "aliases": [
    "CVE-2017-7273"
  ],
  "details": "The cp_report_fixup function in drivers/hid/hid-cypress.c in the Linux kernel 3.2 and 4.x before 4.9.4 allows physically proximate attackers to cause a denial of service (integer underflow) or possibly have unspecified other impact via a crafted HID report.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:P/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-7273"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/1ebb71143758f45dc0fa76e2f48429e13b16d110"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=1ebb71143758f45dc0fa76e2f48429e13b16d110"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=4faec4a2ef5dd481682cc155cb9ea14ba2534b76"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.4"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/97190"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-03-27T17:59:00Z"
  }
}